:root {
  --color_pink: #db4e93;
  --color_green: #008d56;
  --text_black: #222;
  --text_white: #eee;
}

/* ハンバーガーボタン */
.l-nav-btn {
    position: fixed;
    top: 20px;
    right: 20px;
    background: none;
    border: none;
    z-index: 200;
    cursor: pointer;
    opacity: 0.8;
}

.l-nav-btn__circle {
    background-color: var(--color_pink);
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: var(--text_white) 2px solid;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.l-nav-btn__line {
    position: absolute;
    width: 24px;
    height: 2px;
    background-color: var(--text_white);
    transition: 0.3s;
}

.l-nav-btn__line:nth-child(1) {
    top: 18px;
}

.l-nav-btn__line:nth-child(2) {
    top: 28px;
}

.l-nav-btn__line:nth-child(3) {
    top: 38px;
}

.l-nav-btn.open .l-nav-btn__line:nth-child(1) {
    transform: rotate(45deg);
    top: 28px;
}

.l-nav-btn.open .l-nav-btn__line:nth-child(2) {
    opacity: 0;
}

.l-nav-btn.open .l-nav-btn__line:nth-child(3) {
    transform: rotate(-45deg);
    top: 28px;
}

/* ナビメニュー全体 */
.l-nav {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url("../img/bg-menu.png") center/cover no-repeat;
    z-index: 100;
    padding: 60px 20px;
    color: var(--text_white);
    overflow-y: auto;
    overflow-x: hidden;
}

.l-nav.active {
    display: block;
}

.l-nav__title {
    text-align: center;
    font-size: 24px;
    font-weight: bold;
}

.l-nav-list {
    display: block;
    list-style: none;
    padding: 0;
    margin: 52px 0;
    text-align: center;
    letter-spacing: 2px;
}

.l-nav-list li {
    margin: 20px 0;
    list-style: none;
}

.l-nav-list a {
    text-decoration: none;
    color: white;
    font-size: 18px;
    &:hover {
        opacity: 0.7;
        transition: all 0.3s ease-in-out;
    }
}

.contact-btn {
    font-weight: bold;
    display: inline-block;
    padding: 10px 25px;
    background-color: var(--text_white);
    color: var(--color_pink);
    border: var(--color_pink) 2px solid;
    border-radius: 30px;
    font-size: 18px;
    text-decoration: none;
    transition: 0.3s ease;
    cursor: pointer;

}

.contact-btn:hover {
    background-color: var(--color_pink);
    color: var(--text_white);
    border: var(--text_white) 2px solid;
}

.sns-icons {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 40px;
}

.sns-icons img {
    width: 32px;
    height: 32px;
    transition: transform 0.3s ease;

    &:hover {
        transform: scale(1.1);
    }
}

/* 流れる文字 */
.scroll-text {
    padding: 8px 0;
    position: absolute;
    bottom: 2%;
    left: 0;
    width: 100%;
    overflow: hidden;
    background: rgb(247, 247, 247);
    font-weight: bold;
}

.scroll-text span {
    display: inline-block;
    white-space: nowrap;
    padding-left: 100%;
    animation: marquee 13s linear infinite;
    color: var(--text_black);
    font-size: 14px;
}

@keyframes marquee {
    0% { transform: translateX(0); }
    100% { transform: translateX(-100%); }
}

@media (min-width: 768px) {
    .l-nav-btn {
        display: none;
    }
}